# Load libraries
from machine import Pin
import time

# Initialization of GPIO16 as input and GPIO17 as output
trig = Pin(17, Pin.OUT)
echo = Pin(16, Pin.IN, Pin.PULL_DOWN)

# Endless loop for measuring the distance
while True:
     # Distance measurement is started by means of the 10us long trigger signal
     trig.value(0)
     time.sleep(0.1)
     trig.value(1)

     # Now waiting at the echo input until the signal has been activated 
     # After that, the time is measured how long it remains activated
     time.sleep_us(2)
     trig.value(0)
     while echo.value()==0:
          pulse_start = time.ticks_us()
     while echo.value()==1:
          pulse_end = time.ticks_us()
     pulse_duration = pulse_end - pulse_start

     # Now the distance is calculated by means of the recorded time
     distance = pulse_duration * 17165 / 1000000
     distance = round(distance, 0)

     # Serial output
     print ('Distance:',"{:.0f}".format(distance),'cm')
     time.sleep(1)